import java.io.*;
import java.util.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
public class df_G extends fi_xj
{ f_G G;
  public df_G(double n0i[],String  namei[],double T1i,double T2i,double Pi)
  { G=new f_G(n0i,namei,T1i,T2i,Pi);}
  public double[] func(double x[])
  { 
   return G.dfunc(x); 
  }
}